/* QUICK ACTION WRAPPER */
.quick-actions {
    position: fixed;
    bottom: 24px;
    left: 24px;
    z-index: 999;
}

/* MAIN PLUS BUTTON */
.quick-toggle {
    width: 58px;
    height: 58px;
    border-radius: 50%;
    background: #fbab18;
    color: #000;
    border: none;
    cursor: pointer;
    font-size: 1.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 14px 35px rgba(0,0,0,0.25);
}

/* MENU */
.quick-menu {
    position: absolute;
    bottom: 70px;
    left: 0;
    display: flex;
    flex-direction: column;
    gap: 14px;
    pointer-events: none;
}

/* ACTION BUTTONS */
.quick-btn {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background: #000;
    color: #fff;
    font-size: 1.3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 12px 28px rgba(0,0,0,0.3);
    text-decoration: none;
}

/* BACK TO TOP */
/* .backToTop {
    position: fixed;
    bottom: 24px;
    right: 24px;
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background: #000;
    color: #fff;
    border: none;
    font-size: 1.4rem;
    cursor: pointer;
    box-shadow: 0 14px 30px rgba(0,0,0,0.3);
    opacity: 0;
    pointer-events: none;
} */


.backToTop {
    position: fixed;
    bottom: 24px;
    right: 24px;
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background: #000;
    color: #fff;
    border: none;
    font-size: 1.4rem;
    cursor: pointer;
    box-shadow: 0 14px 30px rgba(0,0,0,0.3);
    opacity: 0;
    transform: scale(0.8);
    pointer-events: none;
    transition: opacity 0.3s ease, transform 0.3s ease;
    z-index: 999;
}

.backToTop.show {
    opacity: 1;
    transform: scale(1);
    pointer-events: auto;
}
